export interface editOrderOptions {
    /** ID of the order to edit. */
    orderId: string;
}
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Edit Order page in the dashboard.
 * @dashobardPageBuilder
 */
export declare function editOrder(options: editOrderOptions): PageBuilderResult;
export interface orderRefundOptions {
    /** ID of the order to refund. */
    orderId: string;
}
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Order Refund page in the dashboard.
 * @dashobardPageBuilder
 */
export declare function orderRefund(options: orderRefundOptions): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Delivery Profiles page in the dashboard.
 * @dashobardPageBuilder
 */
export declare function deliveryProfiles(): PageBuilderResult;
export interface deliveryProfileOptions {
    /** Delivery profile to manage */
    deliveryProfileId: string;
}
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Delivery Profile page in the dashboard.
 * @dashobardPageBuilder
 */
export declare function deliveryProfile(options: deliveryProfileOptions): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Order List page in the dashboard.
 * @dashobardPageBuilder
 */
export declare function orderList(): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the New Order page in the dashboard.
 * @dashobardPageBuilder
 */
export declare function newOrder(): PageBuilderResult;
export interface editDraftOrderOptions {
    /** Draft order id */
    draftOrderId: string;
}
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Edit Draft Order page in the dashboard.
 * @dashobardPageBuilder
 */
export declare function editDraftOrder(options: editDraftOrderOptions): PageBuilderResult;
export interface orderDetailsOptions {
    /** The order Id to display */
    id: string;
}
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Order Details page in the dashboard.
 * @dashobardPageBuilder
 */
export declare function orderDetails(options: orderDetailsOptions): PageBuilderResult;
export interface PageBuilderResult {
    pageId: string;
    relativeUrl?: string;
}
